tuple File Reference

Go to the source code of this file.

## Classes

struct | std::_Tuple_impl< _Idx, _Head, _Tail... >
class | std::tuple< _Elements >
class | std::tuple< _T1, _T2 >
struct | std::tuple_element< 0, tuple< _Head, _Tail... > >
struct | std::tuple_element< __i, tuple< _Head, _Tail... > >
struct | std::tuple_element< __i, tuple<> >
struct | std::tuple_size< tuple< _Elements... > >
struct | std::uses_allocator< tuple< _Types... >, _Alloc >

## Namespaces

| std

## Macros

#define | __cpp_lib_tuples_by_type
#define | _GLIBCXX_TUPLE

## Typedefs

template<typename _Tp >
using | std::__empty_not_final = typename conditional< __is_final(_Tp), false_type, __is_empty_non_tuple< _Tp > >::type

## Functions

template<std::size_t __i, typename _Head , typename... _Tail>
constexpr _Head & | std::__get_helper (_Tuple_impl< __i, _Head, _Tail... > &__t) noexcept
template<std::size_t __i, typename _Head , typename... _Tail>
constexpr const _Head & | std::__get_helper (const _Tuple_impl< __i, _Head, _Tail... > &__t) noexcept
template<typename _Head , size_t __i, typename... _Tail>
constexpr _Head & | std::__get_helper2 (_Tuple_impl< __i, _Head, _Tail... > &__t) noexcept
template<typename _Head , size_t __i, typename... _Tail>
constexpr const _Head & | std::__get_helper2 (const _Tuple_impl< __i, _Head, _Tail... > &__t) noexcept
template<typename... _Elements>
constexpr tuple< _Elements &&... > | std::forward_as_tuple (_Elements &&... __args) noexcept
template<std::size_t __i, typename... _Elements>
constexpr const __tuple_element_t< __i, tuple< _Elements... > > && | std::get (const tuple< _Elements... > &&__t) noexcept
template<std::size_t __i, typename... _Elements>
constexpr const __tuple_element_t< __i, tuple< _Elements... > > & | std::get (const tuple< _Elements... > &__t) noexcept
template<typename _Tp , typename... _Types>
constexpr const _Tp && | std::get (const tuple< _Types... > &&__t) noexcept
template<typename _Tp , typename... _Types>
constexpr const _Tp & | std::get (const tuple< _Types... > &__t) noexcept
template<std::size_t __i, typename... _Elements>
constexpr __tuple_element_t< __i, tuple< _Elements... > > && | std::get (tuple< _Elements... > &&__t) noexcept
template<std::size_t __i, typename... _Elements>
constexpr __tuple_element_t< __i, tuple< _Elements... > > & | std::get (tuple< _Elements... > &__t) noexcept
template<typename _Tp , typename... _Types>
constexpr _Tp && | std::get (tuple< _Types... > &&__t) noexcept
template<typename _Tp , typename... _Types>
constexpr _Tp & | std::get (tuple< _Types... > &__t) noexcept
template<typename... _Elements>
constexpr tuple< typename __decay_and_strip< _Elements >::__type... > | std::make_tuple (_Elements &&... __args)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator!= (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator< (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator<= (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator== (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator> (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _TElements, typename... _UElements>
constexpr bool | std::operator>= (const tuple< _TElements... > &__t, const tuple< _UElements... > &__u)
template<typename... _Elements>
enable_if<!__and_< __is_swappable< _Elements >... >::value >::type | std::swap (tuple< _Elements... > &, tuple< _Elements... > &)=delete
template<typename... _Elements>
enable_if< __and_< __is_swappable< _Elements >... >::value >::type | std::swap (tuple< _Elements... > &__x, tuple< _Elements... > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename... _Elements>
constexpr tuple< _Elements &... > | std::tie (_Elements &... __args) noexcept
template<typename... _Tpls, typename = typename enable_if<__and_<__is_tuple_like<_Tpls>...>::value>::type>
constexpr auto | std::tuple_cat (_Tpls &&... __tpls) -> typename __tuple_cat_result< _Tpls... >::__type

## Variables

constexpr _GLIBCXX17_INLINE _Swallow_assign | std::ignore

## Detailed Description

This is a Standard C++ Library header.

Definition in file tuple.